## EXPORT_SPEC int ixmlNode_appendChild

## (IXML_Node* nodeptr,
IXML_Node* newChild )

> Appends a child Node to the list of children of a Node.

## Documentation

> Appends a child Node to the list of children of a Node. If newChild is already in the tree, it is removed first.

Parameters:
  nodeptr - The Node in which to append the new child.
  newChild - The new child to append.
Returns:
  [int] An integer representing one of the following:
  - `IXML_SUCCESS`: The operation completed successfully.
  - `IXML_INVALID_PARAMETER`: Either nodeptr or newChild is `NULL`.
  - `IXML_HIERARCHY_REQUEST_ERR`: newChild is of a type that cannot be added as a child of nodeptr or newChild is an ancestor of nodeptr.
  - `IXML_WRONG_DOCUMENT_ERR`: newChild was created from a different document than nodeptr.
  - `IXML_NO_MODIFICATION_ALLOWED_ERR`: nodeptr is a read-only Node.

Alphabetic index

This page was generated with the help of DOC++.